# This module disables displaying of messages if sender's UIN is not in
# conact list and messages contains 'spam' words.
#
# Author: Ihar Viarheichyk

property::Add Global:ICQ:Antispam|Words {
	-type list -save change  -weight 01:21
	-scope {configurator}
	-default {sex porn fuck teen hot {\$[0-9]+} XXX hardcore}
	-descr {Words which can indicate spam messages}
	}
property::Add Global:ICQ:Antispam|Reply {
	-type string -save change -scope {configurator} -weight 01:20
	-default {You are not in my contact list and sent me message which was considered as spam and rejected.}
	-descr {Reply which is sent to sender of 'spam' message}
	}
property Global:ICQ:Antispam|Log {-type string -default {}}

handler Incoming {type uid time message} {
	if {[llength [lsprop $uid|Alias]]} return
	foreach word [pget Global:ICQ:Antispam|Words] {
		if {[regexp -nocase $word $message]} {
			Event Outgoing text $uid [pget Global:ICQ:Antispam|Reply]
			set file [pget Global:ICQ:Antispam|Log]
			if {![string equal $file ""]} {
				set f [open $file a+]
				puts $f "From $uid at [clock format $time -format {%x %X}]\n$message\n---------------------"
				close $f
			}
			return -code break
		}
	}
} 05DropSpam
