# This module is part of Alicq instant messenger package.
# It is used to colorize incoming and outgoing messages according to colors
# provided via incomingColor and outgoingColor X resources
# 
# Author: Ihar Viarheichyk

# Crearte proper tags configuration when text widget created
bind MessageText <Map> {
	%W tag configure incoming -foreground\
		[option get %W incomingColor IncomingColor]
	%W tag configure outgoing -foreground\
		[option get %W outgoingColor OutgoingColor]
	%W tag configure header -underline yes 
}

